[package]
name = "ghost-metrics"
description = "Substrate metric helper"
version.workspace = true
edition.workspace = true
authors.workspace = true
license.workspace = true
repository.workspace = true
homepage.workspace = true

[dependencies]
futures = { workspace = true }
futures-timer = { workspace = true }
metered = { workspace = true, features = ["futures_channel"] }
codec = { workspace = true, default-features = true }
log = { workspace = true, default-features = true }
bs58 = { workspace = true, features = ["alloc"] }

sc-service = { workspace = true, default-features = true }
sc-cli = { workspace = true, default-features = true }
sc-tracing = { workspace = true, default-features = true }

prometheus-endpoint = { workspace = true, default-features = true }
primitives = { workspace = true, default-features = true }

[dev-dependencies]
assert_cmd = { workspace = true }
tempfile = { workspace = true }
hyper = { workspace = true, features = ["http1", "tcp"] }
tokio = { workspace = true }
sc-service = { workspace = true, default-features = true }
keyring = { workspace = true, default-features = true }
prometheus-parse = { workspace = true }

[features]
default = []
runtime-metrics = []
runtime-benchmarks = [
    "sc-service/runtime-benchmarks",
]
